Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154396 - rup exits with error inconsistently
Summary: rup exits with error inconsistently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rusers
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156320 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-11 14:11 UTC by Neil Horman
Modified: 2015-03-05 01:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-422
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:36:35 UTC


Attachments (Terms of Use)
patch to solve stack allocation issue, by moving allocated storage to be static and global (deleted)
2005-04-11 14:11 UTC, Neil Horman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:422 qe-ready SHIPPED_LIVE rusers bug fix update 2005-10-05 04:00:00 UTC
Red Hat Product Errata RHBA-2005:423 qe-ready SHIPPED_LIVE rusers bug fix update 2005-09-28 04:00:00 UTC

Description Neil Horman 2005-04-11 14:11:30 UTC
Description of problem:
This problem was discovered on x86_64, but appears to be present (but not
necesssecarily presenting) on all platforms.  It appears that the rup utility
passes data to clnt_broadcast that was allocated on the stack, but is used by
the rpc callback, potentially after the allocating stack frame has itself been
de-allocated.  This leads to erroneous results.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.run rup with no arguments on an x86_64 RHEL3 system
  
Actual results:
rup exits with the following error:
rup: RPC: Can't encode arguments

Expected results:
rup should print a list of responding rpc hosts.


Additional info:

Comment 1 Neil Horman 2005-04-11 14:11:30 UTC
Created attachment 112945 [details]
patch to solve stack allocation issue, by moving allocated storage to be static and global

Comment 2 Phil Knirsch 2005-04-22 12:02:39 UTC
Good catch.

I'll be working on packages and erratas next week for RHEL3 U6 and RHEL4 U2.

Patch looks good.

Thanks,

Read ya, Phil

Comment 3 Neil Horman 2005-04-22 12:24:14 UTC
Thanks Phil!

Comment 4 Phil Knirsch 2005-05-04 10:12:12 UTC
OK, took a week longer, but packages have been built and erratas opened and
assigned to the proper update releases.

Read ya, Phil

Comment 10 Red Hat Bugzilla 2005-09-28 20:25:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-423.html


Comment 11 Red Hat Bugzilla 2005-10-05 13:36:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-422.html



Note You need to log in before you can comment on or make changes to this bug.